Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.document.jdbc
Class CallableStatement

    java.lang.Object
      |
      +--com.bea.p13n.content.document.jdbc.CallableStatement

Direct Known Subclasses:
  GetDocumentMetadataStatement, GetDocumentModifiedDateStatement, GetDocumentStatement, GetSchemaNamesStatement, GetSchemasStatement, GetSchemaStatement, SearchStatement

public abstract class CallableStatement
extends java.lang.Object
implements java.sql.CallableStatement

The base class of any DocumentProvider callable statements.

This takes care of much of the extraneous methods. Subclasses needs to implement the `close()`, `clearParameters()`, `execute()`, `setObject(int, java.lang.Object)`, and `getObject(int)` methods. Subclasses can also override methods as needed to add additional functionality.

Field Summary
`protected Connection` | `connection` The connection which spawned us.

Constructor Summary
`CallableStatement(Connection connection)` Constructor.

Method Summary
`void` | `addBatch()` Not supported.
`void` | `addBatch(java.lang.String sql)` Not supported.
`void` | `cancel()` Intentionally empty.
`void` | `clearBatch()` Not supported.
`abstract void` | `clearParameters()` Clear the input/output parameters internally.
`void` | `clearWarnings()` Intentionally blank.
`abstract void` | `close()` Subclasses must implement this method.
`abstract boolean` | `execute()` Execute the command with the set input parameters.
`boolean` | `execute(java.lang.String sql)` Not supported.
`int[]` | `executeBatch()` Not supported.
`java.sql.ResultSet` | `executeQuery()` Not supported.
`java.sql.ResultSet` | `executeQuery(java.lang.String sql)` Not supported.
`int` | `executeUpdate()` This justs executes the statement.
`int` | `executeUpdate(java.lang.String sql)` Not supported.
`java.sql.Array` | `getArray(int index)` Not supported.
`java.math.BigDecimal` | `getBigDecimal(int index)` Not supported.
`java.math.BigDecimal` | `getBigDecimal(int index, int scale)` Not supported.
`java.sql.Blob` | `getBlob(int index)` Not supported.
`boolean` | `getBoolean(int index)` Not supported.
`byte` | `getByte(int index)` Not supported.
`byte[]` | `getBytes(int index)` Not supported.
`java.sql.Clob` | `getClob(int index)` Not supported.
`java.sql.Connection` | `getConnection()` Return the connection which spawned us.
`java.sql.Date` | `getDate(int index)` Not supported.
`java.sql.Date` | `getDate(int index, java.util.Calendar cal)` Not supported.
`protected DocumentProvider` | `getDocumentProvider()` Get the DocumentProvider we can use.
`double` | `getDouble(int index)` Not supported.
`int` | `getFetchDirection()` Not supported.
`int` | `getFetchSize()` Not supported.
`float` | `getFloat(int index)` Not supported.
`int` | `getInt(int index)` Not supported.
`long` | `getLong(int index)` Not supported.
`int` | `getMaxFieldSize()` Not supported.
`int` | `getMaxRows()` Not supported.
`java.sql.ResultSetMetaData` | `getMetaData()` Not supported.
`boolean` | `getMoreResults()` Not supported.
`abstract java.lang.Object` | `getObject(int index)` Return the output parameter at index.
`java.lang.Object` | `getObject(int index, java.util.Map map)` Return the output parameter at index.
`int` | `getQueryTimeout()` Not supported.
`java.sql.Ref` | `getRef(int index)` Not supported.
`java.sql.ResultSet` | `getResultSet()` Not supported.
`int` | `getResultSetConcurrency()` Not supported.
`int` | `getResultSetType()` Not supported.
`short` | `getShort(int index)` Not supported.
`java.lang.String` | `getString(int index)` Not supported.
`java.sql.Time` | `getTime(int index)` Not supported.
`java.sql.Time` | `getTime(int index, java.util.Calendar cal)` Not supported.
`java.sql.Timestamp` | `getTimestamp(int index)` Not supported.
`java.sql.Timestamp` | `getTimestamp(int index, java.util.Calendar cal)` Not supported.
`int` | `getUpdateCount()` Not supported.
`java.sql.SQLWarning` | `getWarnings()` Intentionally blank.
`void` | `registerOutParameter(int index, int sqlType)` Intentionally blank.
`void` | `registerOutParameter(int index, int sqlType, int scale)` Intentionally blank
`void` | `registerOutParameter(int index, int sqlType, java.lang.String typeName)` Intentionally blank
`void` | `setArray(int index, java.sql.Array x)` Not supported.
`void` | `setAsciiStream(int index, java.io.InputStream x, int length)` Not supported.
`void` | `setBigDecimal(int index, java.math.BigDecimal x)` Not supported.
`void` | `setBinaryStream(int index, java.io.InputStream x, int length)` Not supported.
`void` | `setBlob(int index, java.sql.Blob x)` Not supported.
`void` | `setBoolean(int index, boolean x)` Not supported.
`void` | `setByte(int index, byte x)` Not supported.
`void` | `setBytes(int index, byte[] x)` Not supported.
`void` | `setCharacterStream(int index, java.io.Reader reader, int length)` Not supported.
`void` | `setClob(int index, java.sql.Clob x)` Not supported.
`void` | `setCursorName(java.lang.String name)` Not supported.
`void` | `setDate(int index, java.sql.Date x)` Not supported.
`void` | `setDate(int index, java.sql.Date x, java.util.Calendar cal)` Not supported.
`void` | `setDouble(int index, double x)` Not supported.
`void` | `setEscapeProcessing(boolean enable)` Not supported.
`void` | `setFetchDirection(int direction)` Not supported.
`void` | `setFetchSize(int rows)` Not supported.
`void` | `setFloat(int index, float x)` Not supported.
`void` | `setInt(int index, int x)` Not supported.
`void` | `setLong(int index, long x)` Not supported.
`void` | `setMaxFieldSize(int max)` Not supported.
`void` | `setMaxRows(int max)` Not supported.
`void` | `setNull(int index, int sqlType)` Not supported.
`void` | `setNull(int index, int sqlType, java.lang.String typeName)` Not supported.
`abstract void` | `setObject(int index, java.lang.Object x)` Set the input parameter.
`void` | `setObject(int index, java.lang.Object x, int sqlType)` Set the input parameter.
`void` | `setObject(int index, java.lang.Object x, int sqlType, int scale)` Set the input parameter.
`void` | `setQueryTimeout(int seconds)` Not supported.
`void` | `setRef(int index, java.sql.Ref x)` Not supported.
`void` | `setShort(int index, short x)` Not supported.
`void` | `setString(int index, java.lang.String x)` Not supported.
`void` | `setTime(int index, java.sql.Time x)` Not supported.
`void` | `setTime(int index, java.sql.Time x, java.util.Calendar cal)` Not supported.
`void` | `setTimestamp(int index, java.sql.Timestamp x)` Not supported.
`void` | `setTimestamp(int index, java.sql.Timestamp x, java.util.Calendar cal)` Not supported.
`void` | `setUnicodeStream(int index, java.io.InputStream x, int length)` Not supported.
`boolean` | `wasNull()` Not supported.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### connection

    protected Connection connection

  The connection which spawned us.

Constructor Detail

### CallableStatement

    public CallableStatement(Connection connection)

  Constructor.

  Parameters:
    `connection` - the connection which spawned us.

Method Detail

### getDocumentProvider

    protected DocumentProvider getDocumentProvider()
                                            throws DocumentException

  Get the DocumentProvider we can use.

### addBatch

    public void addBatch(java.lang.String sql)
                  throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown

### cancel

    public void cancel()

  Intentionally empty.

### clearBatch

    public void clearBatch()
                    throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### clearWarnings

    public void clearWarnings()

  Intentionally blank.

### close

    public abstract void close()
                        throws java.sql.SQLException

  Subclasses must implement this method.

  Throws:
    java.sql.SQLException - thrown on an error.

### execute

    public boolean execute(java.lang.String sql)
                    throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### executeBatch

    public int[] executeBatch()
                       throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### executeQuery

    public java.sql.ResultSet executeQuery(java.lang.String sql)
                                    throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### executeUpdate

    public int executeUpdate(java.lang.String sql)
                      throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### getConnection

    public java.sql.Connection getConnection()

  Return the connection which spawned us.

### getFetchDirection

    public int getFetchDirection()
                          throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### getFetchSize

    public int getFetchSize()
                     throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### getMaxFieldSize

    public int getMaxFieldSize()
                        throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### getMaxRows

    public int getMaxRows()
                   throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### getMoreResults

    public boolean getMoreResults()
                           throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### getQueryTimeout

    public int getQueryTimeout()
                        throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### getResultSet

    public java.sql.ResultSet getResultSet()
                                    throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### getResultSetConcurrency

    public int getResultSetConcurrency()
                                throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### getResultSetType

    public int getResultSetType()
                         throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### getUpdateCount

    public int getUpdateCount()
                       throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### getWarnings

    public java.sql.SQLWarning getWarnings()

  Intentionally blank.

  Returns:
    null;

### setCursorName

    public void setCursorName(java.lang.String name)
                       throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### setEscapeProcessing

    public void setEscapeProcessing(boolean enable)
                             throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### setFetchDirection

    public void setFetchDirection(int direction)
                           throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### setFetchSize

    public void setFetchSize(int rows)
                      throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### setMaxFieldSize

    public void setMaxFieldSize(int max)
                         throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### setMaxRows

    public void setMaxRows(int max)
                    throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### setQueryTimeout

    public void setQueryTimeout(int seconds)
                         throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### addBatch

    public void addBatch()
                  throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### clearParameters

    public abstract void clearParameters()
                                  throws java.sql.SQLException

  Clear the input/output parameters internally.

  Subclasses must implement this.

  Throws:
    java.sql.SQLException - thrown on an error.

### execute

    public abstract boolean execute()
                             throws java.sql.SQLException

  Execute the command with the set input parameters.

  The results will be placed in the various output parameters.

  Subclasses must implement this.

  Throws:
    java.sql.SQLException - thrown on an error.

### executeQuery

    public java.sql.ResultSet executeQuery()
                                    throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### executeUpdate

    public int executeUpdate()
                      throws java.sql.SQLException

  This justs executes the statement.

  Throws:
    java.sql.SQLException - thrown on an error.
  See Also:
    `execute(java.lang.String)`

### getMetaData

    public java.sql.ResultSetMetaData getMetaData()
                                           throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### setArray

    public void setArray(int index,
                         java.sql.Array x)
                  throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### setAsciiStream

    public void setAsciiStream(int index,
                               java.io.InputStream x,
                               int length)
                        throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### setBigDecimal

    public void setBigDecimal(int index,
                              java.math.BigDecimal x)
                       throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### setBinaryStream

    public void setBinaryStream(int index,
                                java.io.InputStream x,
                                int length)
                         throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### setBlob

    public void setBlob(int index,
                        java.sql.Blob x)
                 throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### setBoolean

    public void setBoolean(int index,
                           boolean x)
                    throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### setByte

    public void setByte(int index,
                        byte x)
                 throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### setBytes

    public void setBytes(int index,
                         byte[] x)
                  throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### setCharacterStream

    public void setCharacterStream(int index,
                                   java.io.Reader reader,
                                   int length)
                            throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### setClob

    public void setClob(int index,
                        java.sql.Clob x)
                 throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### setDate

    public void setDate(int index,
                        java.sql.Date x)
                 throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### setDate

    public void setDate(int index,
                        java.sql.Date x,
                        java.util.Calendar cal)
                 throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### setDouble

    public void setDouble(int index,
                          double x)
                   throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### setFloat

    public void setFloat(int index,
                         float x)
                  throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### setInt

    public void setInt(int index,
                       int x)
                throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### setLong

    public void setLong(int index,
                        long x)
                 throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### setNull

    public void setNull(int index,
                        int sqlType)
                 throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### setNull

    public void setNull(int index,
                        int sqlType,
                        java.lang.String typeName)
                 throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### setObject

    public abstract void setObject(int index,
                                   java.lang.Object x)
                            throws java.sql.SQLException

  Set the input parameter.

  Subclasses need to implement this method as neccessary.

  Throws:
    java.sql.SQLException - thrown on an error.

### setObject

    public void setObject(int index,
                          java.lang.Object x,
                          int sqlType)
                   throws java.sql.SQLException

  Set the input parameter.

  Throws:
    java.sql.SQLException - thrown on an error.
  See Also:
    `setObject(int, java.lang.Object)`

### setObject

    public void setObject(int index,
                          java.lang.Object x,
                          int sqlType,
                          int scale)
                   throws java.sql.SQLException

  Set the input parameter.

  Throws:
    java.sql.SQLException - thrown on an error.
  See Also:
    `setObject(int, java.lang.Object)`

### setRef

    public void setRef(int index,
                       java.sql.Ref x)
                throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### setShort

    public void setShort(int index,
                         short x)
                  throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### setString

    public void setString(int index,
                          java.lang.String x)
                   throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### setTime

    public void setTime(int index,
                        java.sql.Time x)
                 throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### setTime

    public void setTime(int index,
                        java.sql.Time x,
                        java.util.Calendar cal)
                 throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### setTimestamp

    public void setTimestamp(int index,
                             java.sql.Timestamp x)
                      throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### setTimestamp

    public void setTimestamp(int index,
                             java.sql.Timestamp x,
                             java.util.Calendar cal)
                      throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### setUnicodeStream

    public void setUnicodeStream(int index,
                                 java.io.InputStream x,
                                 int length)
                          throws java.sql.SQLException

  Not supported.

  Throws:
    java.sql.SQLException - always thrown.

### getArray

    public java.sql.Array getArray(int index)
                            throws java.sql.SQLException

  Not supported.
  Specified by:
    getArray in interface java.sql.CallableStatement

  Throws:
    java.sql.SQLException - always thrown.

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int index)
                                       throws java.sql.SQLException

  Not supported.
  Specified by:
    getBigDecimal in interface java.sql.CallableStatement

  Throws:
    java.sql.SQLException - always thrown.

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int index,
                                              int scale)
                                       throws java.sql.SQLException

  Not supported.
  Specified by:
    getBigDecimal in interface java.sql.CallableStatement

  Throws:
    java.sql.SQLException - always thrown.

### getBlob

    public java.sql.Blob getBlob(int index)
                          throws java.sql.SQLException

  Not supported.
  Specified by:
    getBlob in interface java.sql.CallableStatement

  Throws:
    java.sql.SQLException - always thrown.

### getBoolean

    public boolean getBoolean(int index)
                       throws java.sql.SQLException

  Not supported.
  Specified by:
    getBoolean in interface java.sql.CallableStatement

  Throws:
    java.sql.SQLException - always thrown.

### getByte

    public byte getByte(int index)
                 throws java.sql.SQLException

  Not supported.
  Specified by:
    getByte in interface java.sql.CallableStatement

  Throws:
    java.sql.SQLException - always thrown.

### getBytes

    public byte[] getBytes(int index)
                    throws java.sql.SQLException

  Not supported.
  Specified by:
    getBytes in interface java.sql.CallableStatement

  Throws:
    java.sql.SQLException - always thrown.

### getClob

    public java.sql.Clob getClob(int index)
                          throws java.sql.SQLException

  Not supported.
  Specified by:
    getClob in interface java.sql.CallableStatement

  Throws:
    java.sql.SQLException - always thrown.

### getDate

    public java.sql.Date getDate(int index)
                          throws java.sql.SQLException

  Not supported.
  Specified by:
    getDate in interface java.sql.CallableStatement

  Throws:
    java.sql.SQLException - always thrown.

### getDate

    public java.sql.Date getDate(int index,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Not supported.
  Specified by:
    getDate in interface java.sql.CallableStatement

  Throws:
    java.sql.SQLException - always thrown.

### getDouble

    public double getDouble(int index)
                     throws java.sql.SQLException

  Not supported.
  Specified by:
    getDouble in interface java.sql.CallableStatement

  Throws:
    java.sql.SQLException - always thrown.

### getFloat

    public float getFloat(int index)
                   throws java.sql.SQLException

  Not supported.
  Specified by:
    getFloat in interface java.sql.CallableStatement

  Throws:
    java.sql.SQLException - always thrown.

### getInt

    public int getInt(int index)
               throws java.sql.SQLException

  Not supported.
  Specified by:
    getInt in interface java.sql.CallableStatement

  Throws:
    java.sql.SQLException - always thrown.

### getLong

    public long getLong(int index)
                 throws java.sql.SQLException

  Not supported.
  Specified by:
    getLong in interface java.sql.CallableStatement

  Throws:
    java.sql.SQLException - always thrown.

### getObject

    public abstract java.lang.Object getObject(int index)
                                        throws java.sql.SQLException

  Return the output parameter at index.

  Subclasses must implement this.

  Specified by:
    getObject in interface java.sql.CallableStatement

  Parameters:
    `index` - the output parameter index.
  Throws:
    java.sql.SQLException - thrown on an error.

### getObject

    public java.lang.Object getObject(int index,
                                      java.util.Map map)
                               throws java.sql.SQLException

  Return the output parameter at index.
  Specified by:
    getObject in interface java.sql.CallableStatement

  Parameters:
    `index` - the output parameter index.
    `map` - ignored.
  Throws:
    java.sql.SQLException - thrown on an error.
  See Also:
    `getObject(int)`

### getRef

    public java.sql.Ref getRef(int index)
                        throws java.sql.SQLException

  Not supported.
  Specified by:
    getRef in interface java.sql.CallableStatement

  Throws:
    java.sql.SQLException - always thrown.

### getShort

    public short getShort(int index)
                   throws java.sql.SQLException

  Not supported.
  Specified by:
    getShort in interface java.sql.CallableStatement

  Throws:
    java.sql.SQLException - always thrown.

### getString

    public java.lang.String getString(int index)
                               throws java.sql.SQLException

  Not supported.
  Specified by:
    getString in interface java.sql.CallableStatement

  Throws:
    java.sql.SQLException - always thrown.

### getTime

    public java.sql.Time getTime(int index)
                          throws java.sql.SQLException

  Not supported.
  Specified by:
    getTime in interface java.sql.CallableStatement

  Throws:
    java.sql.SQLException - always thrown.

### getTime

    public java.sql.Time getTime(int index,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Not supported.
  Specified by:
    getTime in interface java.sql.CallableStatement

  Throws:
    java.sql.SQLException - always thrown.

### getTimestamp

    public java.sql.Timestamp getTimestamp(int index)
                                    throws java.sql.SQLException

  Not supported.
  Specified by:
    getTimestamp in interface java.sql.CallableStatement

  Throws:
    java.sql.SQLException - always thrown.

### getTimestamp

    public java.sql.Timestamp getTimestamp(int index,
                                           java.util.Calendar cal)
                                    throws java.sql.SQLException

  Not supported.
  Specified by:
    getTimestamp in interface java.sql.CallableStatement

  Throws:
    java.sql.SQLException - always thrown.

### registerOutParameter

    public void registerOutParameter(int index,
                                     int sqlType)
                              throws java.sql.SQLException

  Intentionally blank.
  Specified by:
    registerOutParameter in interface java.sql.CallableStatement

### registerOutParameter

    public void registerOutParameter(int index,
                                     int sqlType,
                                     int scale)
                              throws java.sql.SQLException

  Intentionally blank
  Specified by:
    registerOutParameter in interface java.sql.CallableStatement

### registerOutParameter

    public void registerOutParameter(int index,
                                     int sqlType,
                                     java.lang.String typeName)
                              throws java.sql.SQLException

  Intentionally blank
  Specified by:
    registerOutParameter in interface java.sql.CallableStatement

### wasNull

    public boolean wasNull()
                    throws java.sql.SQLException

  Not supported.
  Specified by:
    wasNull in interface java.sql.CallableStatement

  Throws:
    java.sql.SQLException - always thrown.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved